Bug 693204 - Review Request: php-bartlett-PHP-CompatInfo - Find out version and the extensions required for a piece of code to run
Summary: Review Request: php-bartlett-PHP-CompatInfo - Find out version and the extens...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mathieu Bridon
QA Contact: Mathieu Bridon
URL:
Whiteboard:
Depends On: 693200
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-03 14:18 UTC by Remi Collet
Modified: 2011-10-11 08:28 UTC (History)
3 users (show)

Fixed In Version: php-bartlett-PHP-CompatInfo-2.1.0-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-02 18:18:08 UTC
Type: ---
bochecha: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2011-04-03 14:18:55 UTC
Spec URL: https://github.com/remicollet/remirepo/raw/master/php-bartlett-PHP-CompatInfo/php-bartlett-PHP-CompatInfo.spec
SRPM URL: http://remi.fedorapeople.org/php-bartlett-PHP-CompatInfo-2.0.0-0.2.RC3.remi.src.rpm
Description: 
PHP_CompatInfo will parse a file/folder/array to find out the minimum
version and extensions required for it to run. CLI version has many reports
(extension, interface, class, function, constant) to display and ability to
show content of dictionary references.


I don't plan to Obsolete php-pear-PHP-Compatinfo for now (both can be installed without conflicts), but I will probably do in the future.

Comment 4 Remi Collet 2011-09-20 16:40:54 UTC
Fix from PHP_Reflect review:
https://github.com/remicollet/remirepo/commit/10811d5b103bdcf6380ca9152cf9585c3d9c2ca4

SRPM: http://rpms.famillecollet.com/SRPMS/php-bartlett-PHP-CompatInfo-2.1.0-2.remi.src.rpm

I keep jquery for now, as it's required to see generated page from a webserver and will try to remove it ASAP.

other js unused are removed (as for PHP_Reflect)

Comment 5 Mathieu Bridon 2011-09-21 10:49:21 UTC
[x] package passes
[-] not applicable
[!] package fails

== MUST ==

[!] rpmlint output
    $ rpmlint ./php-bartlett-PHP-CompatInfo*
    php-bartlett-PHP-CompatInfo.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
    php-bartlett-PHP-CompatInfo.noarch: E: incorrect-fsf-address /usr/share/pear/test/PHP_CompatInfo/tests/_files/source13873.php
    php-bartlett-PHP-CompatInfo.noarch: W: no-manual-page-for-binary phpci
    php-bartlett-PHP-CompatInfo.src: W: unexpanded-macro %description -l C %{pear_docdir}
    php-bartlett-PHP-CompatInfo.src: W: spelling-error %description -l en_US docdir -> doc dir, doc-dir, Doctor
    php-bartlett-PHP-CompatInfo.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
    2 packages and 1 specfiles checked; 1 errors, 5 warnings.

    => Those can be safely ignored except for the FSF address.
    
About the FSF address, it is apparently in a file used by the unit tests. This file has been copied from the Beehive Forum source code, which is under the GPL.

See below.

[x] The package must be named according to the Package Naming Guidelines
[x] The spec file name must match the base package %{name}
[x] The package must meet the Packaging Guidelines
[x] The package must be licensed with a Fedora approved license
[!] The License field in the package spec file must match the actual license.
    => The following file is "GPL or MIT"-licensed:
       misc/jquery-1.5.min.js
    => The following file is GPLv2+-licensed:
       tests/_files/source13873.php
    => The following file is PHP-licensed:
       tests/_files/source7813.php

So your license tag seems incorrect. I'd say it should be "BSD and MIT and GPLv2+ and PHP", but we probably should ask Fedora-Legal about it. :)

Or you could decide to remove those unit tests from the package?

Or...

[x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file must be included in %doc
[x] The spec file must be written in American English
[x] The spec file for the package MUST be legible
[x] The sources used to build the package must match the upstream source, as
provided in the spec URL
    $ sha1sum PHP_CompatInfo-2.1.0.tgz*
    ee5ea43c96c058911068066eb76a41074268366c  PHP_CompatInfo-2.1.0.tgz

[x] The package '''MUST''' successfully compile and build into binary rpms on
at least one primary architecture
    => Tested in mock, the required packages are not all in Fedora yet.

[-] The spec file MUST handle locales properly
[-] Every binary RPM package (or subpackage) which stores shared library files
(not just symlinks) in any of the dynamic linker's default paths, must call
ldconfig in %post and %postun
[x] Packages must NOT bundle copies of system libraries
[-] If the package is designed to be relocatable, the packager must state this
fact in the request for review
[x] A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory.
[x] A Fedora package must not list a file more than once in the spec file's
%files listings
[x] Permissions on files must be set properly
[x] Each package must consistently use macros
[x] The package must contain code, or permissable content
[x] Large documentation files must go in a -doc subpackage
    $ rpm2cpio php-bartlett-PHP-CompatInfo-2.1.0-1.fc16.noarch.rpm | cpio -id
    4394 blocks
    $ du -sh usr/share/doc/pear/PHP_CompatInfo/
    920K	usr/share/doc/pear/PHP_CompatInfo/

    => It's small, no need to separate it.

[x] If a package includes something as %doc, it must not affect the runtime of
the application
[-] Header files must be in a -devel package
[-] Static libraries must be in a -static package
[-] If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package
[-] Subpackages requiring the base package
[-] Packages must NOT contain any .la libtool archives, these must be removed
in the spec if they are built
[-] Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section
[x] Packages must not own files or directories already owned by other packages
[x] All filenames in rpm packages must be valid UTF-8

== SHOULD ==

[-] If the source package does not include license text(s) as a separate file
from upstream, the packager SHOULD query upstream to include it
[-] If scriptlets are used, those scriptlets must be sane
[-] Usually, subpackages other than devel should require the base package using
a fully versioned dependency
[-] The placement of pkgconfig(.pc) files depends on their usecase, and this is
usually for development purposes, so should be placed in a -devel pkg
[-] If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself
[!] your package should contain man pages for binaries/scripts


== Summary ==

MUST:
- Incorrect FSF address must be reported upstream, perhaps add a comment in the spec or at least in the review request?
- Clarify the licensing situation.

SHOULD:
- Not a blocker, but the phpci binary should have a manpage.

Comment 6 Mathieu Bridon 2011-09-21 10:50:08 UTC
Oops, forgot to assign the review request to myself.

Comment 7 Remi Collet 2011-09-21 15:32:17 UTC
_files/*php are only used by test suite as example to check the parser.
In fact the "code" is not used.
Need to ask legal to see if licensing must apply.

Comment 8 Remi Collet 2011-09-21 16:00:30 UTC
After discussion on #fedora-devel:

* Wed Sep 21 2011 Remi Collet <remi@fedoraproject.org> - 2.1.0-3
- remove all files with licensing issue
  don't use it during test, don't install it
  can keep it in sources are this files are still under free license

https://github.com/remicollet/remirepo/commit/73fb3ca1cbc0b51b195e062027731f3e04f7aa26
https://github.com/remicollet/remirepo/commit/da0d4617136ae941145ea504166586754ddf8ede
https://github.com/remicollet/remirepo/commit/6fd53d58405a6b1088d09a6ce877ae6c730cd6c8

SRPM: http://rpms.famillecollet.com/SRPMS/php-bartlett-PHP-CompatInfo-2.1.0-3.remi.src.rpm

Comment 9 Mathieu Bridon 2011-09-22 02:32:54 UTC
So, removing those files both takes care of the license issue and the incorrect FSF address.

    $ rpmlint ./php-bartlett-PHP-CompatInfo*
    php-bartlett-PHP-CompatInfo.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
    php-bartlett-PHP-CompatInfo.noarch: W: no-manual-page-for-binary phpci
    php-bartlett-PHP-CompatInfo.src: W: unexpanded-macro %description -l C %{pear_docdir}
    php-bartlett-PHP-CompatInfo.src: W: spelling-error %description -l en_US docdir -> doc dir, doc-dir, Doctor
    php-bartlett-PHP-CompatInfo.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
    2 packages and 1 specfiles checked; 0 errors, 5 warnings.

Package is approved.

Comment 10 Remi Collet 2011-09-22 04:45:26 UTC
Thanks for the review:

New Package SCM Request
=======================
Package Name: php-bartlett-PHP-CompatInfo
Short Description: Find out version and the extensions required for a piece of code to run
Owners: remi
Branches: f15 f16 el6
InitialCC:

Comment 11 Gwyn Ciesla 2011-09-24 15:22:22 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2011-09-24 16:49:55 UTC
php-bartlett-PHP-CompatInfo-2.1.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-bartlett-PHP-CompatInfo-2.1.0-3.fc16

Comment 13 Fedora Update System 2011-09-24 16:50:29 UTC
php-bartlett-PHP-CompatInfo-2.1.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/php-bartlett-PHP-CompatInfo-2.1.0-3.fc15

Comment 14 Fedora Update System 2011-09-24 16:50:56 UTC
php-bartlett-PHP-CompatInfo-2.1.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-bartlett-PHP-CompatInfo-2.1.0-3.el6

Comment 15 Fedora Update System 2011-09-24 20:49:23 UTC
php-bartlett-PHP-CompatInfo-2.1.0-3.fc16 has been pushed to the Fedora 16 testing repository.

Comment 16 Fedora Update System 2011-10-02 18:18:03 UTC
php-bartlett-PHP-CompatInfo-2.1.0-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 17 Fedora Update System 2011-10-11 02:02:23 UTC
php-bartlett-PHP-CompatInfo-2.1.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2011-10-11 08:28:22 UTC
php-bartlett-PHP-CompatInfo-2.1.0-3.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.